Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.messaging
Interface IMessage

All Known Implementing Classes:
  AbstractMessage, ResetMessage, RTMPMessage, StatusMessage

    public interface IMessage

Common interface for all messages.

Structure of messages is designed according to JMS Message interface. Message is composed of header and body. Header contains commonly used pre-defined headers and extensible headers.

Each message has correlation ID that is never used so far and is subject to be removed in future.

Message has type and number of properties.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

Method Summary
`boolean` | `getBooleanProperty(String name)` Getter for boolean property
`byte` | `getByteProperty(String name)` Add byte property to message
`String` | `getCorrelationID()` Return correlation id
`double` | `getDoubleProperty(String name)` Return double property by name
`float` | `getFloatProperty(String name)` Return float property by name
`int` | `getIntProperty(String name)` Return int property by name
`long` | `getLongProperty(String name)` Return long property to message
`String` | `getMessageID()` Return message id
`String` | `getMessageType()` Return message type
`Object` | `getObjectProperty(String name)` Return object property to message
`short` | `getShortProperty(String name)` Return short property to message
`String` | `getStringProperty(String name)` Return string property to message
`void` | `setBooleanProperty(String name, boolean value)` Add boolean property to message
`void` | `setByteProperty(String name, byte value)` Add byte property to message
`void` | `setCorrelationID(String id)` Setter for correlation id
`void` | `setDoubleProperty(String name, double value)` Add double property to message
`void` | `setFloatProperty(String name, float value)` Add float property to message
`void` | `setIntProperty(String name, int value)` Add int property to message
`void` | `setLongProperty(String name, long value)` Add long property to message
`void` | `setMessageID(String id)` Setter for new message id
`void` | `setMessageType(String type)` Setter for message type
`void` | `setObjectProperty(String name, Object value)` Add object property to message
`void` | `setShortProperty(String name, short value)` Add short property to message
`void` | `setStringProperty(String name, String value)` Add string property to message

Method Detail

### getMessageID

    String getMessageID()

  Return message id

  Returns:
    Message id

### setMessageID

    void setMessageID(String id)

  Setter for new message id

  Parameters:
    `id` - Message id

### getCorrelationID

    String getCorrelationID()

  Return correlation id

  Returns:
    Correlation id

### setCorrelationID

    void setCorrelationID(String id)

  Setter for correlation id

  Parameters:
    `id` - Correlation id

### getMessageType

    String getMessageType()

  Return message type

  Returns:
    Message type

### setMessageType

    void setMessageType(String type)

  Setter for message type

  Parameters:
    `type` - Message type

### getBooleanProperty

    boolean getBooleanProperty(String name)

  Getter for boolean property

  Parameters:
    `name` - Boolean property name
  Returns:
    Boolean property

### setBooleanProperty

    void setBooleanProperty(String name,
                            boolean value)

  Add boolean property to message

  Parameters:
    `name` - Boolean property name
    `value` - Boolean property value

### getByteProperty

    byte getByteProperty(String name)

  Add byte property to message

  Parameters:
    `name` - Byte property name
  Returns:
    Byte property value

### setByteProperty

    void setByteProperty(String name,
                         byte value)

  Add byte property to message

  Parameters:
    `name` - Byte property name
    `value` - Byte property value

### getDoubleProperty

    double getDoubleProperty(String name)

  Return double property by name

  Parameters:
    `name` - Double property name
  Returns:
    Double property value

### setDoubleProperty

    void setDoubleProperty(String name,
                           double value)

  Add double property to message

  Parameters:
    `name` - Double property name
    `value` - Double property value

### getFloatProperty

    float getFloatProperty(String name)

  Return float property by name

  Parameters:
    `name` - Float property name
  Returns:
    Float property value

### setFloatProperty

    void setFloatProperty(String name,
                          float value)

  Add float property to message

  Parameters:
    `name` - Float property name
    `value` - Float property value

### getIntProperty

    int getIntProperty(String name)

  Return int property by name

  Parameters:
    `name` - Int property name
  Returns:
    Int property value

### setIntProperty

    void setIntProperty(String name,
                        int value)

  Add int property to message

  Parameters:
    `name` - Int property name
    `value` - Int property value

### getLongProperty

    long getLongProperty(String name)

  Return long property to message

  Parameters:
    `name` - Long property name
  Returns:
    Long property value

### setLongProperty

    void setLongProperty(String name,
                         long value)

  Add long property to message

  Parameters:
    `name` - Long property name
    `value` - Long property value

### getShortProperty

    short getShortProperty(String name)

  Return short property to message

  Parameters:
    `name` - Short property name
  Returns:
    Short property value

### setShortProperty

    void setShortProperty(String name,
                          short value)

  Add short property to message

  Parameters:
    `name` - Short property name
    `value` - Short property value

### getStringProperty

    String getStringProperty(String name)

  Return string property to message

  Parameters:
    `name` - String property name
  Returns:
    String property value

### setStringProperty

    void setStringProperty(String name,
                           String value)

  Add string property to message

  Parameters:
    `name` - String property name
    `value` - String property value

### getObjectProperty

    Object getObjectProperty(String name)

  Return object property to message

  Parameters:
    `name` - Object property name
  Returns:
    Object property value

### setObjectProperty

    void setObjectProperty(String name,
                           Object value)

  Add object property to message

  Parameters:
    `name` - Object property name
    `value` - Object property value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project